﻿@model SportsClub.Models.Register.CalendarModel
@{
    Layout = null;
}
<style type="text/css">
    /*--move to register.css after complete task--*/
    .calendar-label-title {
        height: 16px;
        width: 16px;
        float: right;
        border: solid 1px white;
        margin-left: 21px;
        margin-top: 4px;
        text-align: center;
        border-radius: 11px;
    }

    .k-event, .k-task-complete {
        border-color: #FFFFFF;
        background: #FFFFFF 0 -257px url(textures/highlight.png) repeat-x;
        color: #0000FF;
    }

    [role=gridcell] {
        height: auto !important;
    }

    .checkbox-calendar, .checkbox-calendar label {
        vertical-align: middle;
    }

        .checkbox-calendar label {
            line-height: 16px;
        }

            .checkbox-calendar label input[type=checkbox] {
                margin: 0 2px;
                display: inline-block;
                vertical-align: middle;
                margin-bottom: 3px;
            }


    .containerCalendarCheckBoxes {
        top: -2px;
        position: relative;
    }

        .containerCalendarCheckBoxes div {
            display: block;
            line-height: 1;
            margin-top: 2px;
            background-color: transparent !important;
        }

            .containerCalendarCheckBoxes div label {
                display: block;
                line-height: 0.4 !important;
                background-color: transparent !important;
                font-size: 11px;
                margin: 0;
            }

            .containerCalendarCheckBoxes div input[type=checkbox] {
                margin: 0 2px 0 0;
                display: inline-block;
                vertical-align: middle;
            }

        .containerCalendarCheckBoxes .lbl_side-top {
            font-size: 10px;
            position: relative !important;
            line-height: 0.8 !important;
            display: block !important;
            white-space: initial !important;
            line-height: 1 !important;
            max-height: 25px !important;
        }

    @@media (min-width:1440px) {
        .lbl_side-top {
            white-space: nowrap;
        }
    }

    #calendarSections .k-event-actions {
        display: none;
    }
</style>



<div id="calendarSections" style="width: 100%; overflow-x: auto; height: auto;">
    @{
        var schedulerId = Model.ScheduleId;
    }
    @(Html.Kendo().Scheduler<SportsClub.Models.Register.CalendarModel>()
    .Name("scheduler" + schedulerId)
    .Date(Model.Start)
    .Height(700)
    .Width(736)
    .Editable(false)
    .Events(evt => evt.DataBound("schedulerChange"))
            .EventTemplate("#=getDaySessins(Sessions)#")
    .Views(views =>
    {
        //views.DayView();
        //views.WeekView();
        views.MonthView(monthView => monthView.Selected(false));
    })
    .DataSource(d => d
            .Model(m =>
            {
                m.Id(f => f.TaskID);
            })
             .Read("GetProgramCalendarItems", "Register", new { programId = Model.ProgramId, scheduleId = Model.ScheduleId })
    )
    )
</div>

<script>
    var getDaySessins = function (sessions) {

        var result = '';
        //add container div
        var containerDiv = document.createElement("div");
        var containerAtt = document.createAttribute("class");
        containerAtt.value = "containerCalendarCheckBoxes";
        containerDiv.setAttributeNode(containerAtt);

        for (var i = 0; i < sessions.length; i++) {
            var session = sessions[i];

            if (i < 3) {

                //add div
                var div = document.createElement("div");
                var att = document.createAttribute("class");
                att.value = "customAllDayTemplate checkbox-calenda";
                div.setAttributeNode(att);

                //add label
                var label = document.createElement("label");
                var labelAtt = document.createAttribute("class");
                labelAtt.value = "lbl_side-top";
                label.setAttributeNode(labelAtt);

                //add input
                var input = document.createElement("input");
                var inputAtt = document.createAttribute("class");
                inputAtt.value = "calendar-day";
                input.setAttributeNode(inputAtt);

                if (session.IsFull) {
                    var disabledAttr = document.createAttribute("disabled");
                    input.setAttributeNode(disabledAttr);
                }

                if (session.Selected) {
                    var checkedAttr = document.createAttribute("checked");
                    input.setAttributeNode(checkedAttr);
                }

                var typeAtt = document.createAttribute("type");
                typeAtt.value = "checkbox";
                input.setAttributeNode(typeAtt);

                var inputAtt2 = document.createAttribute("data-id");
                inputAtt2.value = session.TaskID;
                input.setAttributeNode(inputAtt2);

                var scheduleid = document.createAttribute("data-scheduleid");
                scheduleid.value = session.ScheduleId;
                input.setAttributeNode(scheduleid);

                var name = document.createAttribute("data-name");
                name.value = session.ChargeName;
                input.setAttributeNode(name);

                var category = document.createAttribute("data-category");
                category.value = session.ChargeCategory;
                input.setAttributeNode(category);

                var parentCharge = document.createAttribute("data-parent-charge");
                parentCharge.value = session.ChargeId;
                input.setAttributeNode(parentCharge);

                var chargeid = document.createAttribute("data-chargeid");
                chargeid.value = session.ChargeId;
                input.setAttributeNode(chargeid);

                var description = document.createAttribute("data-description");
                description.value = session.Description2;
                input.setAttributeNode(description);

                var dodate = document.createAttribute("data-dodate");
                dodate.value = session.DoDate;
                input.setAttributeNode(dodate);

                var onChange = document.createAttribute("onChange");
                onChange.value = "changeProgramCalendarItem(this)";
                input.setAttributeNode(onChange);

                var subcategory = document.createAttribute("data-subcategory");
                subcategory.value = "charge";
                input.setAttributeNode(subcategory);

                var amount = document.createAttribute("data-amount");
                amount.value = session.Amount;
                input.setAttributeNode(amount);

                var id = document.createAttribute("id");
                id.value = session.TaskID;
                input.setAttributeNode(id);

                var titel = document.createTextNode(session.FirstTime);


                label.appendChild(input);
                label.appendChild(titel);
                div.appendChild(label);
                containerDiv.appendChild(div);

                result = containerDiv.outerHTML;
            }
        }

        return result;
    }
</script>
